.faq {
    border-top: 1px solid var(--blue-gray-100);
    height: 100%;
}

@media screen and (min-width:600px) {
    .faq_search form{
        max-width: 600px;
    }
    .faq_search button {
        margin-left: 520px;
    }
    .faq_search .input_container .input_label{
        left:auto;
        margin-right: 500px;
    }
}
@media screen and (max-width:600px) {
    .faq_search button {
        margin-left: 0px;
        right: 0;
    }
}
@media screen and (max-width:1023px) {
    .faq_Qfooter{
        bottom: 83.75px!important;
        z-index: 0!important;
    }
    .faq_Qfooter_Container {
        bottom: 100px;
    }
    .faq_container{
        margin-bottom: 180px!important;
    }
    .faq_bubble { 
        flex-wrap: wrap!important;
        flex-direction: row-reverse!important;
        align-items: center!important;
    }
    .faq_bubble .row-delete {
        display: block!important;
        margin: 0!important;
    }
    
}

.faq_search {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap:20px;
    height: max-content;
    min-width: 175px;
    width: 100%;
    padding: 25px 16px;
}
.searchbar_faqs_earch{
    padding: 10px; 
    border: 1px solid #ccc; 
    border-radius: 50px;
}
.faq_search .input_container{
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
}
.faq_search .input_container>span{
    width: 100%;
    max-width: 600px;
}
.faq_searchbar_container{
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
    /* justify-content: center; */
    
    padding-top: 25px;
}
.faq_search form{
    display: flex;
    flex-direction: row;
    justify-content: center;
    height: max-content;
    width: 100%;
}

.faq_search input {
    min-width: 175px;
    outline: 1px solid var(--primary-900);
    border: none;
    border-radius: 2em;
    padding: 1rem;
    color: var(--blue-gray-900);
    font-size: 1rem;
    height: 40px;
    min-height: unset;
}
.faq_search .input_type_ul{
    max-width: 600px;
}
.faq_search button {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 40px;
    width: 80px !important;
    padding: 0 1rem;
    color: var(--white);
    background-color: var(--primary-900);
    border: 1px solid var(--primary-900);
    border-radius: 20px;
}

.faq_container{
    background: var(--background);
    padding-top: 25px;
    padding-bottom: 25px;
    height: 67vh;
    overflow-y: scroll;
    margin-bottom: 100px;
}



.faq_line {
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    justify-content: center;
    align-items: center;
    margin: 25px;
}

.faq_bubble {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row-reverse;
    align-items: center;
    background-color: #ffffff;
    padding: 10px;
    border-radius: 20px;
    width: 850px;
    border-style: solid;
    border-width: 1px;
    border-color: var(--blue-gray-200);
}

.faq_question {
    padding: 10px;
    margin-right: auto;
}

.faq_supprimer {
    margin: 10px;
}

.faq_supprimer button {
    border: none;
    background:none;
}

.faq_edit {
    margin: 5px;
    margin-right: 10px;
}

.faq_pinned {
    margin: 5px;
}

.faq_Q {
    font-weight: bold;
}

.faq_R {
    font-size: 14px;
    font-style: italic;
    margin-top: 10px;
    margin-bottom: 5px;
}

.faq_Qfooter {
    display: flex;
    flex-direction: row;
    justify-content: center; 
    position: fixed;
    bottom: 0px;
    height: 95px;
    width: 100%;
    background-color: var(--secondary-200);
    z-index: 1;
/*     align-content: center;
    flex-wrap: wrap;
    */
}

.faq_Qfooter_Container {
    display: flex;
    height: 95px;
    width: 100%;
    align-content: center;
    flex-wrap: wrap;
    justify-content: center;
}

.faq_question_btn {
    display: flex;
    align-items: center;
    padding: 0 10px;
    
}

.faq_question_btn button {
    background-color: var(--primary-700);
    border-color: var(--primary-700);
    color: white;
    font-size: 12px;
    text-transform: uppercase;
    font-weight: 500;
    padding: 5px 10px 5px 10px;
    border-radius: 5px;

}

.faq_modalhead {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background-color: var(--primary-800);
    border-radius: 1rem 1rem 0 0;
    padding: 10px 5px 10px 30px;
}

.faq_modal_button_second {
	float: right;
	margin: 10px 20px 10px 0px;
	font-weight: 400;
	color: var(--primary-variant);
	text-transform: none;
}

.faq_content {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 13px 50px;
}

.faq_modal {
    width: 700px;
    margin: auto;
    border-radius: 1em;
    padding: 0px;
    border: none;
    max-width: 90%;
    overflow: initial;
    background-color: white;
}


.faq_button {
	background-color: var(--primary-700);
	color: #fff;
	font-size: 1rem;
	margin-top: 20px;
}

.faq_modal_button {
    margin: 0px 30px 10px 25px;
    font-weight: 400;
}

  .faq_modal_button_second {
    float: right;
    margin: 0px 20px 10px 0px;
    font-weight: 400;
    color: var(--primary-variant);
    background: none;
    text-transform: none;
  }

  dialog .modal_button {
    border-top: solid 1px var(--blue-gray-200);
    padding-top: 20px;
    padding-bottom: 20px;
}

.faq_button_container {
    display: flex;
    flex-direction: row-reverse;
    flex-wrap: nowrap;
    align-items: center;
}

.faq_modal::backdrop {
    background-color: #2176FF;
    opacity: 0.35;
  }

  .faq_Edit_Btn {
    border: white;
    background: white;
  }

  .faq_R_checkbox_display {
    display: flex;
    flex-direction: row-reverse;
    height: 30px;
  }

  .faq_checkbox_label {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: flex-start;
    margin-right: 20px;
  }

  .faq_R_checkbox {
    height: 20px;
    width: auto;
    margin-right: 10px;
  }

  .faq_R_Questionedit>p:focus {
    outline: none;
  }

  .faq_checkbox_label>input:focus {
    outline: none;
  }
  
  .faq_PasdeReponse {
    display: flex;
    align-content: center;
    align-items: center;
  }

  .faq_Poubell_btn_Oui {
    padding-left: 5rem;
    padding-right: 5rem;
  }

  
.faq_delete_modal .modal_head,
.faq_R_Edit_modal .modal_head,
#faq_Q_modal .modal_head {
	display: flex;
	justify-content: space-between;
	align-items: center;
	border-top-left-radius: 1em;
	border-top-right-radius: 1em;
	background-color: var(--primary-800);
}

.faq_delete_modal .modal_head .modal_head_title,
.faq_R_Edit_modal .modal_head .modal_head_title,
#faq_Q_modal .modal_head .modal_head_title {
	width: 100%;
}

.faq_delete_modal_content,
.faq_A_modal_content,
.faq_Q_modal_content{
	display: flex;
	flex-direction: column;
	gap:20px;
	padding: 1.5em 1em;
}

.faq_A_modal_content .request_container,
.faq_Q_modal_content .request_container{
	display: flex;
	flex-direction: column;
	gap:20px;
}

.faq_A_modal_content .request_container .login_modal_button,
.faq_Q_modal_content .request_container .login_modal_button{
	align-self: end;
	width: 150px;
	margin: 0;
}

.faq_Q_modal_content .input_label,
.faq_A_modal_content .input_label{
	position: relative;
	left: 10px !important;
	top: 10px !important;
}


.onboarding_modalhead_close_button{
	margin-top: 10px;
}

.faq_delete_modal .delete_button_cancel{
	color: var(--black);
}

.faq_delete_modal .delete_button_confirm{
	background-color: var(--primary-800);
	color: var(--white);
}